Index: squid/contrib/chpasswd/Hungarian.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/contrib/chpasswd/Attic/Hungarian.h,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.2.1
diff -u -r1.1.2.1 -r1.1.2.1.2.1
--- squid/contrib/chpasswd/Hungarian.h	6 Jan 2001 12:48:44 -0000	1.1.2.1
+++ squid/contrib/chpasswd/Hungarian.h	27 Aug 2001 21:48:16 -0000	1.1.2.1.2.1
@@ -1,6 +1,5 @@
 /* Hungarian language re-added by Domonkos Sandor <domonkos@npp.hu> 
    Hungarian language added by Robert Szabo <rob@freemail.c3.hu> */
-
 #if defined(Hungarian)
 
 char *msg01 = "Nincs írási jog a jelszófile-hoz:";
@@ -25,93 +24,111 @@
 char *msg20 = "legalább az alábbi számokat (0-9)";
 char *msg21 = "Legalább az alábbi speciális jeleket (billentyüzet)";
 char *msg22 = "Internet hozzáférési jogosultság módosítása";
-char *msg23 = "Az autentikációs file-nak a root tulajdonában kell lennie. Olvasd el README.";
-char *msg24 = "Autentikációs file hibás jogosultsággal (755-nek kell lenni). Olvasd el README.";
+char *msg23 =
+    "Az autentikációs file-nak a root tulajdonában kell lennie. Olvasd el README.";
+char *msg24 =
+    "Autentikációs file hibás jogosultsággal (755-nek kell lenni). Olvasd el README.";
 char *msg25 = "Nem tudom megnyitni az autentikációs file-t.";
 char *msg26 = "Nincs jogod a jelszó módosítására.";
 char *msg27 = "Az autentikációs file-t nem találom.";
 
-static void UserForm(char *minlen, char *maxlen, char *minchar, char *minnum, char *minspec, char *bgcolor, char *txcolor, char *ticolor, char *rucolor, char *logo, char *width, char *height, char *header, char *bgimage)
+static void
+UserForm(char *minlen, char *maxlen, char *minchar, char *minnum, char *minspec,
+    char *bgcolor, char *txcolor, char *ticolor, char *rucolor, char *logo,
+    char *width, char *height, char *header, char *bgimage)
 {
 
-  char rules[255] = "<li>Composition:";
-  char wrules[255];
-  int  frules=0;
-
-  printf("Content-type: text/html\n");
-  puts("\n");
-  printf("<html>\n");
-  printf("<head>\n");
-  printf("  <title>Change Squid Password</title>\n");
-  printf("</head>\n");
-  printf("<body bgcolor=%s text=%s background='%s'>\n",bgcolor,txcolor,bgimage);
-
-  if(strlen(logo) > 0)
-     printf("<h2><img src='%s' border=0 align=absmiddle width=%s height=%s><font color=%s>%s</font></h2>\n",logo,width,height,ticolor,header);
-   else
-     printf("<h2><font color=%s>%s</font></h2>\n",ticolor,header);
-
-  printf("Biztonsági okok miatt emlékezz az alábbi szabályokra az új jelszó megadásakor:\n");
-  printf("<ul>\n");
-  printf("<li>A jelszóban a kis és nagy betü különbözik, vagyis az 'A' és 'a' nem azonos.<br>\n");
-  printf("<li>Használhatsz betüket, számokat és speciális karakterek a billentyüzetröl.<br>\n");
-  printf("<li>Új jelszó szabályai:<br>");
-  printf("<ul><li>Hossza: minimum <font color=%s><b>%s</b></font>, maximum <font color=%s><b>%s</b></font> karakter.<br>\n",rucolor,minlen,rucolor,maxlen);
-
-  if(strcmp(minchar,"0") != 0) {
-     sprintf(wrules," betük (a-z, A-Z):<font color=%s><b> %s</b></font>",rucolor,minchar);
-     strcat(rules,wrules);
-     frules=1;
-  }
-  if(strcmp(minnum,"0") != 0) {
-     if(frules)
-        strcat(rules,", ");
-     sprintf(wrules," számok (0-9):<font color=%s><b> %s</b></font>",rucolor,minnum);
-     strcat(rules,wrules);
-     frules=1;
-  }
-  if(strcmp(minspec,"0") != 0) {
-     if(frules)
-        strcat(rules,", ");
-     sprintf(wrules," speciális karakterek (billentyüzetröl):<font color=%s><b> %s</b></font>",rucolor,minspec);
-     strcat(rules,wrules);
-     frules=1;
-  }
-  if(!frules){
-     sprintf(wrules,"<font color=%s><b> szabadon választva</b></font>",rucolor);
-     strcat(rules,wrules);
-  }
-  strcat(rules,"<br>");
-  printf(rules);
-  printf("</ul>\n");
-
-  printf("<li>Az új jelszavad kb. 15 percen belül érvényes lesz.\n");
-  printf("</ul>\n");
-  printf("<form action='chpasswd.cgi' method=POST>\n");
-  printf("<center>\n");
-  printf("<hr noshade>\n");
-  printf("<table cellpadding=0 cellspacing=0>\n");
-  printf("  <tr><td align=right>Felhasználói neved:\n");
-  printf("      <td><input type=text name=user size=10>\n");
-  printf("  <tr><td align=right>Jelenlegi jelszavad:\n");
-  printf("      <td><input type=password name=old_pw size=%s>\n",maxlen);
-  printf("  <tr><td align=right>Új jelszavad:\n");
-  printf("      <td><input type=password name=new_pw1 size=%s>\n",maxlen);
-  printf("  <tr><td align=right>Új jelszavad megerösítése:\n");
-  printf("      <td><input type=password name=new_pw2 size=%s>\n",maxlen);
-  printf("</table>\n");
-  printf("<hr noshade>\n");
-  printf("<input type=submit name=change value='Jelszavam módosítása'>\n");
-  printf("<input type=reset name=reset value='Mezök törlése'>\n");
-  printf("<input type=submit name=cancel value='Megszakítás'>\n");
-  printf("</center>\n");
-  printf("</form>\n");
-  printf("<a href='%s'>%s-%s</a>\n",URL,PGM,VERSION);
-  printf("</body>\n");
-  printf("</html>\n");
+    char rules[255] = "<li>Composition:";
+    char wrules[255];
+    int frules = 0;
+
+    printf("Content-type: text/html\n");
+    puts("\n");
+    printf("<html>\n");
+    printf("<head>\n");
+    printf("  <title>Change Squid Password</title>\n");
+    printf("</head>\n");
+    printf("<body bgcolor=%s text=%s background='%s'>\n", bgcolor, txcolor,
+	bgimage);
+
+    if (strlen(logo) > 0)
+	printf
+	    ("<h2><img src='%s' border=0 align=absmiddle width=%s height=%s><font color=%s>%s</font></h2>\n",
+	    logo, width, height, ticolor, header);
+    else
+	printf("<h2><font color=%s>%s</font></h2>\n", ticolor, header);
+
+    printf
+	("Biztonsági okok miatt emlékezz az alábbi szabályokra az új jelszó megadásakor:\n");
+    printf("<ul>\n");
+    printf
+	("<li>A jelszóban a kis és nagy betü különbözik, vagyis az 'A' és 'a' nem azonos.<br>\n");
+    printf
+	("<li>Használhatsz betüket, számokat és speciális karakterek a billentyüzetröl.<br>\n");
+    printf("<li>Új jelszó szabályai:<br>");
+    printf
+	("<ul><li>Hossza: minimum <font color=%s><b>%s</b></font>, maximum <font color=%s><b>%s</b></font> karakter.<br>\n",
+	rucolor, minlen, rucolor, maxlen);
+
+    if (strcmp(minchar, "0") != 0) {
+	sprintf(wrules, " betük (a-z, A-Z):<font color=%s><b> %s</b></font>",
+	    rucolor, minchar);
+	strcat(rules, wrules);
+	frules = 1;
+    }
+    if (strcmp(minnum, "0") != 0) {
+	if (frules)
+	    strcat(rules, ", ");
+	sprintf(wrules, " számok (0-9):<font color=%s><b> %s</b></font>",
+	    rucolor, minnum);
+	strcat(rules, wrules);
+	frules = 1;
+    }
+    if (strcmp(minspec, "0") != 0) {
+	if (frules)
+	    strcat(rules, ", ");
+	sprintf(wrules,
+	    " speciális karakterek (billentyüzetröl):<font color=%s><b> %s</b></font>",
+	    rucolor, minspec);
+	strcat(rules, wrules);
+	frules = 1;
+    }
+    if (!frules) {
+	sprintf(wrules, "<font color=%s><b> szabadon választva</b></font>",
+	    rucolor);
+	strcat(rules, wrules);
+    }
+    strcat(rules, "<br>");
+    printf(rules);
+    printf("</ul>\n");
+
+    printf("<li>Az új jelszavad kb. 15 percen belül érvényes lesz.\n");
+    printf("</ul>\n");
+    printf("<form action='chpasswd.cgi' method=POST>\n");
+    printf("<center>\n");
+    printf("<hr noshade>\n");
+    printf("<table cellpadding=0 cellspacing=0>\n");
+    printf("  <tr><td align=right>Felhasználói neved:\n");
+    printf("      <td><input type=text name=user size=10>\n");
+    printf("  <tr><td align=right>Jelenlegi jelszavad:\n");
+    printf("      <td><input type=password name=old_pw size=%s>\n", maxlen);
+    printf("  <tr><td align=right>Új jelszavad:\n");
+    printf("      <td><input type=password name=new_pw1 size=%s>\n", maxlen);
+    printf("  <tr><td align=right>Új jelszavad megerösítése:\n");
+    printf("      <td><input type=password name=new_pw2 size=%s>\n", maxlen);
+    printf("</table>\n");
+    printf("<hr noshade>\n");
+    printf("<input type=submit name=change value='Jelszavam módosítása'>\n");
+    printf("<input type=reset name=reset value='Mezök törlése'>\n");
+    printf("<input type=submit name=cancel value='Megszakítás'>\n");
+    printf("</center>\n");
+    printf("</form>\n");
+    printf("<a href='%s'>%s-%s</a>\n", URL, PGM, VERSION);
+    printf("</body>\n");
+    printf("</html>\n");
 
-  fflush(stdout);
-  return;
+    fflush(stdout);
+    return;
 
 }
 #endif
Index: squid/contrib/chpasswd/Italian.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/contrib/chpasswd/Attic/Italian.h,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.2.1
diff -u -r1.1.2.1 -r1.1.2.1.2.1
--- squid/contrib/chpasswd/Italian.h	6 Jan 2001 12:48:44 -0000	1.1.2.1
+++ squid/contrib/chpasswd/Italian.h	27 Aug 2001 21:48:16 -0000	1.1.2.1.2.1
@@ -1,7 +1,5 @@
 /* Italian language added by Luigi Gangitano <lgangitano@netscape.net> */
-
 #if defined(Italian)
-
 char *msg01 = "Diritti insufficienti per scrivere il file delle password:";
 char *msg02 = "Manca la nuova password o e' troppo corta (meno di";
 char *msg03 = "caratteri).";
@@ -19,98 +17,116 @@
 char *msg15 = "Non e' possibile aprire il file di configurazione:";
 char *msg16 = "Non e' possibile aprire il file di log:";
 char *msg17 = "La nuova password non e' valida.";
-char *msg18 = "Per favore, usare le seguenti regole per inserire la nuova passowrd:";
+char *msg18 =
+    "Per favore, usare le seguenti regole per inserire la nuova passowrd:";
 char *msg19 = "Numero di lettere (minimo) (a-z, A-Z)";
 char *msg20 = "Numero di cifre (minimo9 (0-9)";
 char *msg21 = "Numero di caratteri speciali (minimo) (eg: %,&,*,ecc.)";
 char *msg22 = "Cambia la tua Password di Accesso al server Squid";
-char *msg23 = "Il file di autorizzazione deve essere intestato al root. Leggere il file README.";
-char *msg24 = "Il file di autorizzazione ha permessi insufficienti (deve essere 755). Leggere il file README.";
+char *msg23 =
+    "Il file di autorizzazione deve essere intestato al root. Leggere il file README.";
+char *msg24 =
+    "Il file di autorizzazione ha permessi insufficienti (deve essere 755). Leggere il file README.";
 char *msg25 = "Impossibile aprire il file di autorizzazione.";
 char *msg26 = "Non sei autorizzato a cambiare la password.";
 char *msg27 = "Il file di autorizzazione non e' stato trovato.";
 
-static void UserForm(char *minlen, char *maxlen, char *minchar, char *minnum, char *minspec, char *bgcolor, char *txcolor, char *ticolor, char *rucolor, char *logo, char *width, char *height, char *header, char *bgimage)
+static void
+UserForm(char *minlen, char *maxlen, char *minchar, char *minnum, char *minspec,
+    char *bgcolor, char *txcolor, char *ticolor, char *rucolor, char *logo,
+    char *width, char *height, char *header, char *bgimage)
 {
 
-  char rules[255] = "<li>Composizione:";
-  char wrules[255];
-  int  frules=0;
-
-  printf("Content-type: text/html\n");
-  puts("\n");
-  printf("<html>\n");
-  printf("<head>\n");
-  printf("  <title>Cambia la Password del server Squid</title>\n");
-  printf("</head>\n");
-  printf("<body bgcolor=%s text=%s background='%s'>\n",bgcolor,txcolor,bgimage);
-
-  if(strlen(logo) > 0)
-     printf("<h2><img src='%s' border=0 align=absmiddle width=%s height=%s><font color=%s>%s</font></h2>\n",logo,width,height,ticolor,header);
-   else
-     printf("<h2><font color=%s>%s</font></h2>\n",ticolor,header);
-
-  printf("Per ragioni di sicurezza, ricorda queste avvertenze riguardo alla tua password:\n");
-  printf("<ul>\n");
-  printf("<li>La password e' case-sensitive, il che vuol dire che 'A' non e' la stessa cosa di 'a'.<br>\n");
-  printf("<li>Puoi usare lettere, numeri o caratteri speciali della tua tastiera.<br>\n");
-  printf("<li>Regole riguardanti la nuova password:<br>");
-  printf("<ul><li>Lunghezza: minimo <font color=%s><b>%s</b></font>, massimo <font color=%s><b>%s</b></font> caratteri.<br>\n",rucolor,minlen,rucolor,maxlen);
-
-  if(strcmp(minchar,"0") != 0) {
-     sprintf(wrules," lettere (a-z, A-Z):<font color=%s><b> %s</b></font>",rucolor,minchar);
-     strcat(rules,wrules);
-     frules=1;
-  }
-  if(strcmp(minnum,"0") != 0) {
-     if(frules)
-        strcat(rules,", ");
-     sprintf(wrules," numeri (0-9):<font color=%s><b> %s</b></font>",rucolor,minnum);
-     strcat(rules,wrules);
-     frules=1;
-  }
-  if(strcmp(minspec,"0") != 0) {
-     if(frules)
-        strcat(rules,", ");
-     sprintf(wrules," caratteri speciali (eg: %,&,*,ecc.):<font color=%s><b> %s</b></font>",rucolor,minspec);
-     strcat(rules,wrules);
-     frules=1;
-  }
-  if(!frules){
-     sprintf(wrules,"<font color=%s><b> Scelta libera</b></font>",rucolor);
-     strcat(rules,wrules);
-  }
-  strcat(rules,"<br>");
-  printf(rules);
-  printf("</ul>\n");
-
-  printf("<li>La tua nuova password sara' attivata entro 15 minuti.\n");
-  printf("</ul>\n");
-  printf("<form action='chpasswd.cgi' method=POST>\n");
-  printf("<center>\n");
-  printf("<hr noshade>\n");
-  printf("<table cellpadding=0 cellspacing=0>\n");
-  printf("  <tr><td align=right>Il tuo Account:\n");
-  printf("      <td><input type=text name=user size=10>\n");
-  printf("  <tr><td align=right>La tua Password attuale:\n");
-  printf("      <td><input type=password name=old_pw size=%s>\n",maxlen);
-  printf("  <tr><td align=right>La nuova Password:\n");
-  printf("      <td><input type=password name=new_pw1 size=%s>\n",maxlen);
-  printf("  <tr><td align=right>Riscrivi la nuova Password:\n");
-  printf("      <td><input type=password name=new_pw2 size=%s>\n",maxlen);
-  printf("</table>\n");
-  printf("<hr noshade>\n");
-  printf("<input type=submit name=change value='Cambia la mia password'>\n");
-  printf("<input type=reset name=reset value='Pulisci i campi'>\n");
-  printf("<input type=submit name=cancel value='Cancella'>\n");
-  printf("</center>\n");
-  printf("</form>\n");
-  printf("<a href='%s'>%s-%s</a>\n",URL,PGM,VERSION);
-  printf("</body>\n");
-  printf("</html>\n");
+    char rules[255] = "<li>Composizione:";
+    char wrules[255];
+    int frules = 0;
+
+    printf("Content-type: text/html\n");
+    puts("\n");
+    printf("<html>\n");
+    printf("<head>\n");
+    printf("  <title>Cambia la Password del server Squid</title>\n");
+    printf("</head>\n");
+    printf("<body bgcolor=%s text=%s background='%s'>\n", bgcolor, txcolor,
+	bgimage);
+
+    if (strlen(logo) > 0)
+	printf
+	    ("<h2><img src='%s' border=0 align=absmiddle width=%s height=%s><font color=%s>%s</font></h2>\n",
+	    logo, width, height, ticolor, header);
+    else
+	printf("<h2><font color=%s>%s</font></h2>\n", ticolor, header);
+
+    printf
+	("Per ragioni di sicurezza, ricorda queste avvertenze riguardo alla tua password:\n");
+    printf("<ul>\n");
+    printf
+	("<li>La password e' case-sensitive, il che vuol dire che 'A' non e' la stessa cosa di 'a'.<br>\n");
+    printf
+	("<li>Puoi usare lettere, numeri o caratteri speciali della tua tastiera.<br>\n");
+    printf("<li>Regole riguardanti la nuova password:<br>");
+    printf
+	("<ul><li>Lunghezza: minimo <font color=%s><b>%s</b></font>, massimo <font color=%s><b>%s</b></font> caratteri.<br>\n",
+	rucolor, minlen, rucolor, maxlen);
+
+    if (strcmp(minchar, "0") != 0) {
+	sprintf(wrules, " lettere (a-z, A-Z):<font color=%s><b> %s</b></font>",
+	    rucolor, minchar);
+	strcat(rules, wrules);
+	frules = 1;
+    }
+    if (strcmp(minnum, "0") != 0) {
+	if (frules)
+	    strcat(rules, ", ");
+	sprintf(wrules, " numeri (0-9):<font color=%s><b> %s</b></font>",
+	    rucolor, minnum);
+	strcat(rules, wrules);
+	frules = 1;
+    }
+    if (strcmp(minspec, "0") != 0) {
+	if (frules)
+	    strcat(rules, ", ");
+	sprintf(wrules,
+	    " caratteri speciali (eg: %,&,*,ecc.):<font color=%s><b> %s</b></font>",
+	    rucolor, minspec);
+	strcat(rules, wrules);
+	frules = 1;
+    }
+    if (!frules) {
+	sprintf(wrules, "<font color=%s><b> Scelta libera</b></font>", rucolor);
+	strcat(rules, wrules);
+    }
+    strcat(rules, "<br>");
+    printf(rules);
+    printf("</ul>\n");
+
+    printf("<li>La tua nuova password sara' attivata entro 15 minuti.\n");
+    printf("</ul>\n");
+    printf("<form action='chpasswd.cgi' method=POST>\n");
+    printf("<center>\n");
+    printf("<hr noshade>\n");
+    printf("<table cellpadding=0 cellspacing=0>\n");
+    printf("  <tr><td align=right>Il tuo Account:\n");
+    printf("      <td><input type=text name=user size=10>\n");
+    printf("  <tr><td align=right>La tua Password attuale:\n");
+    printf("      <td><input type=password name=old_pw size=%s>\n", maxlen);
+    printf("  <tr><td align=right>La nuova Password:\n");
+    printf("      <td><input type=password name=new_pw1 size=%s>\n", maxlen);
+    printf("  <tr><td align=right>Riscrivi la nuova Password:\n");
+    printf("      <td><input type=password name=new_pw2 size=%s>\n", maxlen);
+    printf("</table>\n");
+    printf("<hr noshade>\n");
+    printf("<input type=submit name=change value='Cambia la mia password'>\n");
+    printf("<input type=reset name=reset value='Pulisci i campi'>\n");
+    printf("<input type=submit name=cancel value='Cancella'>\n");
+    printf("</center>\n");
+    printf("</form>\n");
+    printf("<a href='%s'>%s-%s</a>\n", URL, PGM, VERSION);
+    printf("</body>\n");
+    printf("</html>\n");
 
-  fflush(stdout);
-  return;
+    fflush(stdout);
+    return;
 
 }
 #endif
Index: squid/contrib/chpasswd/Portuguese.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/contrib/chpasswd/Attic/Portuguese.h,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.2.1
diff -u -r1.1.2.1 -r1.1.2.1.2.1
--- squid/contrib/chpasswd/Portuguese.h	6 Jan 2001 12:48:44 -0000	1.1.2.1
+++ squid/contrib/chpasswd/Portuguese.h	27 Aug 2001 21:48:16 -0000	1.1.2.1.2.1
@@ -1,8 +1,7 @@
 /* Portuguses language added by Pedro L Orso <porso@usa.net> */
-
 #if defined(Portuguese)
-
-char *msg01 = "Arquivo de senhas sem premiss&atilde;o para grava&ccedil;&atilde;o:";
+char *msg01 =
+    "Arquivo de senhas sem premiss&atilde;o para grava&ccedil;&atilde;o:";
 char *msg02 = "Faltou a nova senha ou &eacute; muito curta (menor que";
 char *msg03 = "caracteres).";
 char *msg04 = "Nova senha muito longa (mais que ";
@@ -19,96 +18,117 @@
 char *msg15 = "N&atilde;o pode abrir o arquivo de configuracao:";
 char *msg16 = "N&atilde;o pode abrir o arquivo log:";
 char *msg17 = "Nova senha inv&aacute;lida.";
-char *msg18 = "Por favor, use as seguintes regras para entrar com a nova senha:";
+char *msg18 =
+    "Por favor, use as seguintes regras para entrar com a nova senha:";
 char *msg19 = "M&iacute;nimo de letras (a-z, A-Z)";
 char *msg20 = "M&iacute;nimo de n&uacute;meros (0-9)";
 char *msg21 = "M&iacute;nimo de caracteres especiais (teclado)";
 char *msg22 = "Altera&ccedil;&atilde;o da senha de acesso ao Squid";
-char *msg23 = "Arquivo de autoriza&ccedil;&atilde;o deve pertencer ao root. Por favor leia o README.";
-char *msg24 = "Arquivo de autoriza&ccedil;&atilde;o deve ter como atributos 755. Por favor leia o README.";
+char *msg23 =
+    "Arquivo de autoriza&ccedil;&atilde;o deve pertencer ao root. Por favor leia o README.";
+char *msg24 =
+    "Arquivo de autoriza&ccedil;&atilde;o deve ter como atributos 755. Por favor leia o README.";
 char *msg25 = "N&atilde;o pode abrir o arquivo de autoriza&ccedil;&atilde;o.";
-char *msg26 = "Voc&ecirc; n&atilde;o tem autoriza&ccedil;&atilde;o para alterar a senha.";
+char *msg26 =
+    "Voc&ecirc; n&atilde;o tem autoriza&ccedil;&atilde;o para alterar a senha.";
 char *msg27 = "Arquivo de autoriza&ccedil;&atilde;o n&atilde;o encontrado";
 
-static void UserForm(char *minlen, char *maxlen, char *minchar, char *minnum, char *minspec, char *bgcolor, char *txcolor, char *ticolor, char *rucolor, char *logo, char *width, char *height, char *header, char *bgimage)
+static void
+UserForm(char *minlen, char *maxlen, char *minchar, char *minnum, char *minspec,
+    char *bgcolor, char *txcolor, char *ticolor, char *rucolor, char *logo,
+    char *width, char *height, char *header, char *bgimage)
 {
-  char rules[255] = "<li>Composi&ccedil;&atilde;o:";
-  char wrules[255];
-  int  frules=0;
-
-  printf("Content-type: text/html\n");
-  puts("\n");
-  printf("<html>\n");
-  printf("<head>\n");
-  printf("  <title>Altera&ccedil;&atilde;o de senha do Squid</title>\n");
-  printf("</head>\n");
-  printf("<body bgcolor=%s text=%s background='%s'>\n",bgcolor,txcolor,bgimage);
-
-  if(strlen(logo) > 0)
-     printf("<h2><img src='%s' border=0 align=absmiddle width=%s height=%s><font color=%s>%s</font></h2>\n",logo,width,height,ticolor,header);
-   else
-     printf("<h2><font color=%s>%s</font></h2>\n",ticolor,header);
-
-  printf("Por medida de seguran&ccedil;a, lembre-se das regras abaixo para escolher sua senha:\n");
-  printf("<ul>\n");
-  printf("<li>A senha pode conter letras mai&uacute;sculas e/ou min&uacute;sculas, n&uacute;meros ou qualquer caracter do teclado. <br>\n");
-  printf("<li>Regras para a nova senha:<br>");
-  printf("<ul><li>Comprimento: m&iacute;nimo <font color=%s><b>%s</b></font>, m&aacute;ximo <font color=%s><b>%s</b></font> caracteres.<br>\n",rucolor,minlen,rucolor,maxlen);
-
-  if(strcmp(minchar,"0") != 0) {
-     sprintf(wrules," letras (a-z, A-Z):<font color=%s><b> %s</b></font>",rucolor,minchar);
-     strcat(rules,wrules);
-     frules=1;
-  }
-  if(strcmp(minnum,"0") != 0) {
-     if(frules)
-        strcat(rules,", ");
-     sprintf(wrules," n&uacute;meros (0-9):<font color=%s><b> %s</b></font>",rucolor,minnum);
-     strcat(rules,wrules);
-     frules=1;
-  }
-  if(strcmp(minspec,"0") != 0) {
-     if(frules)
-        strcat(rules,", ");
-     sprintf(wrules," caracteres especiaus (teclado):<font color=%s><b> %s</b></font>",rucolor,minspec);
-     strcat(rules,wrules);
-     frules=1;
-  }
-  if(!frules){
-     sprintf(wrules,"<font color=%s><b> livre escolha.</b></font>",rucolor);
-     strcat(rules,wrules);
-  }
-  strcat(rules,"<br>");
-  printf(rules);
-  printf("</ul>\n");
-
-  printf("<li>Sua nova senha ser&aacute; efetivada em torno de 15 minutos.\n");
-  printf("</ul>\n");
-  printf("<form action='chpasswd.cgi' method=POST>\n");
-  printf("<center>\n");
-  printf("<hr noshade>\n");
-  printf("<table cellpadding=0 cellspacing=0>\n");
-  printf("  <tr><td align=right>Usu&aacute;rio: \n");
-  printf("      <td><input type=text name=user size=10>\n");
-  printf("  <tr><td align=right>Senha atual:\n");
-  printf("      <td><input type=password name=old_pw size=10>\n");
-  printf("  <tr><td align=right>Nova senha:\n");
-  printf("      <td><input type=password name=new_pw1 size=10>\n");
-  printf("  <tr><td align=right>Reentre a nova senha:\n");
-  printf("      <td><input type=password name=new_pw2 size=10>\n");
-  printf("</table>\n");
-  printf("<hr noshade>\n");
-  printf("<input type=submit name=change value='Altere minha senha'>\n");
-  printf("<input type=reset name=reset value='Limpa os campos'>\n");
-  printf("<input type=submit name=cancel value='Cancele'>\n");
-  printf("</center>\n");
-  printf("</form>\n");
-  printf("<a href='%s'>%s-%s</a>\n",URL,PGM,VERSION);
-  printf("</body>\n");
-  printf("</html>\n");
+    char rules[255] = "<li>Composi&ccedil;&atilde;o:";
+    char wrules[255];
+    int frules = 0;
+
+    printf("Content-type: text/html\n");
+    puts("\n");
+    printf("<html>\n");
+    printf("<head>\n");
+    printf("  <title>Altera&ccedil;&atilde;o de senha do Squid</title>\n");
+    printf("</head>\n");
+    printf("<body bgcolor=%s text=%s background='%s'>\n", bgcolor, txcolor,
+	bgimage);
+
+    if (strlen(logo) > 0)
+	printf
+	    ("<h2><img src='%s' border=0 align=absmiddle width=%s height=%s><font color=%s>%s</font></h2>\n",
+	    logo, width, height, ticolor, header);
+    else
+	printf("<h2><font color=%s>%s</font></h2>\n", ticolor, header);
+
+    printf
+	("Por medida de seguran&ccedil;a, lembre-se das regras abaixo para escolher sua senha:\n");
+    printf("<ul>\n");
+    printf
+	("<li>A senha pode conter letras mai&uacute;sculas e/ou min&uacute;sculas, n&uacute;meros ou qualquer caracter do teclado. <br>\n");
+    printf("<li>Regras para a nova senha:<br>");
+    printf
+	("<ul><li>Comprimento: m&iacute;nimo <font color=%s><b>%s</b></font>, m&aacute;ximo <font color=%s><b>%s</b></font> caracteres.<br>\n",
+	rucolor, minlen, rucolor, maxlen);
+
+    if (strcmp(minchar, "0") != 0) {
+	sprintf(wrules, " letras (a-z, A-Z):<font color=%s><b> %s</b></font>",
+	    rucolor, minchar);
+	strcat(rules, wrules);
+	frules = 1;
+    }
+    if (strcmp(minnum, "0") != 0) {
+	if (frules)
+	    strcat(rules, ", ");
+	sprintf(wrules,
+	    " n&uacute;meros (0-9):<font color=%s><b> %s</b></font>", rucolor,
+	    minnum);
+	strcat(rules, wrules);
+	frules = 1;
+    }
+    if (strcmp(minspec, "0") != 0) {
+	if (frules)
+	    strcat(rules, ", ");
+	sprintf(wrules,
+	    " caracteres especiaus (teclado):<font color=%s><b> %s</b></font>",
+	    rucolor, minspec);
+	strcat(rules, wrules);
+	frules = 1;
+    }
+    if (!frules) {
+	sprintf(wrules, "<font color=%s><b> livre escolha.</b></font>",
+	    rucolor);
+	strcat(rules, wrules);
+    }
+    strcat(rules, "<br>");
+    printf(rules);
+    printf("</ul>\n");
+
+    printf
+	("<li>Sua nova senha ser&aacute; efetivada em torno de 15 minutos.\n");
+    printf("</ul>\n");
+    printf("<form action='chpasswd.cgi' method=POST>\n");
+    printf("<center>\n");
+    printf("<hr noshade>\n");
+    printf("<table cellpadding=0 cellspacing=0>\n");
+    printf("  <tr><td align=right>Usu&aacute;rio: \n");
+    printf("      <td><input type=text name=user size=10>\n");
+    printf("  <tr><td align=right>Senha atual:\n");
+    printf("      <td><input type=password name=old_pw size=10>\n");
+    printf("  <tr><td align=right>Nova senha:\n");
+    printf("      <td><input type=password name=new_pw1 size=10>\n");
+    printf("  <tr><td align=right>Reentre a nova senha:\n");
+    printf("      <td><input type=password name=new_pw2 size=10>\n");
+    printf("</table>\n");
+    printf("<hr noshade>\n");
+    printf("<input type=submit name=change value='Altere minha senha'>\n");
+    printf("<input type=reset name=reset value='Limpa os campos'>\n");
+    printf("<input type=submit name=cancel value='Cancele'>\n");
+    printf("</center>\n");
+    printf("</form>\n");
+    printf("<a href='%s'>%s-%s</a>\n", URL, PGM, VERSION);
+    printf("</body>\n");
+    printf("</html>\n");
 
-  fflush(stdout);
-  return;
+    fflush(stdout);
+    return;
 
 }
 #endif
